Subject: NEPENTHES.....No chance ??

From: [email-masked]
Date: Wed, 01 Nov 1995 23:33:21 GMT

Is there anyone out there who can help with any of the following
Nepenthes species..
N.Villosa, N. Edwardsiana, Hybrids of those two, N. Veitchii, and
N.Tentaculata .
These would be in either plant form, or as seed, but only very fresh
seed. I have tried seed from one of these species in the past, using
in-vitro techniques but they were either killed in the process or were
not all that fresh, and thus failed. ( Just how fresh do Nepenthes
seeds have to be , anyway ..days, weeks ?? )

Steve